public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/libtmux/
Date: Sat, 21 Dec 2024 08:11:17 +0000 (UTC)	[thread overview]
Message-ID: <1734768666.50d851e24d2ee1e41074f1b5a82dedff26b2aedc.mgorny@gentoo> (raw)

commit:     50d851e24d2ee1e41074f1b5a82dedff26b2aedc
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 21 07:33:45 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Dec 21 08:11:06 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=50d851e2

dev-python/libtmux: Bump to 0.40.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/libtmux/Manifest              |  1 +
 dev-python/libtmux/libtmux-0.40.0.ebuild | 56 ++++++++++++++++++++++++++++++++
 2 files changed, 57 insertions(+)

diff --git a/dev-python/libtmux/Manifest b/dev-python/libtmux/Manifest
index 90104b4b04cb..c7f58d528764 100644
--- a/dev-python/libtmux/Manifest
+++ b/dev-python/libtmux/Manifest
@@ -2,3 +2,4 @@ DIST libtmux-0.36.0.gh.tar.gz 282828 BLAKE2B 247f98ae47093090187f2d52792f850f747
 DIST libtmux-0.37.0.gh.tar.gz 283496 BLAKE2B ef8c9c05cc20f549fc13ffb05276e1ba5b24c366c9cf44eb5ffe609cfe0e603ab7a90747b5df03afa62a6a9d8c81904e7fa7e4598092d3b11c0e9295e413d88d SHA512 8876ad13613d367d6a6ea5945b5a0a495460b5ad68a14d89d20a41f0e5b421e0007041e4e8356e88a8eefb2b2422be306aebd2452e3be556f1cc4fd232327499
 DIST libtmux-0.38.1.gh.tar.gz 304345 BLAKE2B f4380c813b57045cc8dcf4ad18124bcd2aa304495ea0cfbfcfa2e7f9f8140fa2acb4545b4c9b61a13f08a12e57c0e7f7de20f673f9054429eca22968cf51f651 SHA512 ca88e67222e7abb54afc88c11dcded19ee870d8d4bc3e26de61ca24ccb6294f3f8be0ec652c0d8fd4137d57a56338fedd4930e6bfb1693d45fd41a63f352ee9b
 DIST libtmux-0.39.0.gh.tar.gz 314113 BLAKE2B cfba4cf12fd2418bb917ade6f927eb905dcc767bc7554ae08f86958c0f0ca25548f0b9d90375ab80de726436bfa5032a5df2da763cc5114849f38cbbe9331565 SHA512 7e180a63e195698e540a581fa8f7dc292e8e4db830a87bbdc859d910313d1d3351886759d3198f088f047d51e993fe6ce4c8f16304edc68681c2fa6a9348bba6
+DIST libtmux-0.40.0.gh.tar.gz 317064 BLAKE2B e3658560a789aa823faf2ff29cca3a0604ebe20b64ce0432359852738ae87280a87e7411ec73283e389a23b31da9da1f435b930bcf0cd250d3b455031669a535 SHA512 15187225ab8a31a04f7d6a3d036c5df133779fc73891782abce694c8a364babc0d19af1290a06dfa6939b61028a2620499551a0b2a9fccf0f7c3067868eb98c1

diff --git a/dev-python/libtmux/libtmux-0.40.0.ebuild b/dev-python/libtmux/libtmux-0.40.0.ebuild
new file mode 100644
index 000000000000..631eb1e1c36a
--- /dev/null
+++ b/dev-python/libtmux/libtmux-0.40.0.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{10..13} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Typed library that provides an ORM wrapper for tmux, a terminal multiplexer"
+HOMEPAGE="
+	https://libtmux.git-pull.com/
+	https://github.com/tmux-python/libtmux/
+	https://pypi.org/project/libtmux/
+"
+SRC_URI="
+	https://github.com/tmux-python/libtmux/archive/v${PV}.tar.gz
+		-> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+
+RDEPEND="
+	>=app-misc/tmux-3.0a
+"
+BDEPEND="
+	test? (
+		dev-python/pytest-mock[${PYTHON_USEDEP}]
+		dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+	local issues="https://github.com/tmux-python/libtmux/issues/"
+	sed -r -i "s|:issue:\`([[:digit:]]+)\`|\`issue \1 ${issues}\1\`|" CHANGES || die
+
+	# increase timeouts for tests
+	sed -e 's/0.01/0.1/' -i tests/test_test.py || die
+
+	distutils-r1_python_prepare_all
+}
+
+python_test() {
+	# tests/test_window.py::test_fresh_window_data fails if TMUX_PANE is set
+	# https://bugs.gentoo.org/927158
+	local -x TMUX_PANE=
+	local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+	local -x PYTEST_PLUGINS=libtmux.pytest_plugin
+
+	epytest -o addopts= -p pytest_mock -p rerunfailures --reruns=5 tests
+}


             reply	other threads:[~2024-12-21  8:11 UTC|newest]

Thread overview: 95+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-12-21  8:11 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-20 20:08 [gentoo-commits] repo/gentoo:master commit in: dev-python/libtmux/ Arthur Zamarin
2025-03-20 20:08 Arthur Zamarin
2025-03-17  7:31 Michał Górny
2025-02-27 20:59 Michał Górny
2025-02-26  6:03 Michał Górny
2025-02-26  6:03 Michał Górny
2025-02-24  3:37 Michał Górny
2025-02-18  7:36 Michał Górny
2025-02-17 20:47 Michał Górny
2025-02-16  3:31 Michał Górny
2025-02-16  3:31 Michał Górny
2025-02-04  4:28 Michał Górny
2024-12-25  7:45 Michał Górny
2024-12-14 17:19 Arthur Zamarin
2024-11-27  5:47 Michał Górny
2024-11-27  5:47 Michał Górny
2024-11-27  5:47 Michał Górny
2024-06-15 19:15 Michał Górny
2024-05-27 18:33 Arthur Zamarin
2024-04-22  3:40 Michał Górny
2024-03-25  4:47 Michał Górny
2024-03-24 16:22 Michał Górny
2024-03-17 20:55 Patrick McLean
2024-03-17 17:13 Patrick McLean
2024-03-17 16:24 Michał Górny
2024-03-17 16:24 Michał Górny
2024-03-17 16:24 Michał Górny
2024-03-02  6:43 Michał Górny
2024-02-16 23:15 Patrick McLean
2024-02-16 21:52 Patrick McLean
2024-02-15  1:36 Patrick McLean
2024-02-15  1:36 Patrick McLean
2024-02-07 18:22 Patrick McLean
2024-02-07 18:22 Patrick McLean
2023-11-28  0:36 Patrick McLean
2023-11-28  0:36 Patrick McLean
2023-10-03  2:09 Sam James
2023-09-09 17:29 Arthur Zamarin
2023-08-21 16:39 Patrick McLean
2023-06-01 21:11 Patrick McLean
2023-04-10 21:05 Patrick McLean
2023-02-20 20:10 Arthur Zamarin
2023-01-30  7:15 Michał Górny
2023-01-26 18:37 Patrick McLean
2023-01-21 16:25 Michał Górny
2023-01-21 13:40 Arthur Zamarin
2023-01-08 20:05 Patrick McLean
2023-01-08 20:05 Patrick McLean
2023-01-08 20:05 Patrick McLean
2023-01-05  7:14 Patrick McLean
2022-12-13 18:32 Patrick McLean
2022-12-02 15:23 Michał Górny
2022-11-08  4:54 Jakov Smolić
2022-11-05 20:35 Arthur Zamarin
2022-10-31 15:49 Michał Górny
2022-09-25  7:21 Arthur Zamarin
2022-09-20  5:37 Michał Górny
2022-09-20  0:07 Sam James
2022-09-18 18:18 Michał Górny
2022-09-06 21:12 Sam James
2022-08-17 18:28 Arthur Zamarin
2022-08-06 13:09 Arthur Zamarin
2022-08-05 18:50 Arthur Zamarin
2022-08-05 18:50 Arthur Zamarin
2022-08-01 11:07 Michał Górny
2022-05-24 18:50 Patrick McLean
2022-05-24 18:50 Patrick McLean
2022-03-15 14:14 Michał Górny
2022-03-15 11:52 Jakov Smolić
2022-01-29 19:42 Patrick McLean
2021-08-07 14:43 Sam James
2021-07-06  8:09 Michał Górny
2021-06-15 17:57 Patrick McLean
2020-12-19 21:57 Michał Górny
2020-12-19 19:36 Sam James
2020-12-16 11:51 Michał Górny
2020-11-08  3:31 Patrick McLean
2020-10-18 16:02 Thomas Deutschmann
2020-10-04 23:45 Sam James
2020-08-18  0:59 Patrick McLean
2020-07-31  3:47 Sam James
2020-07-30 19:39 Sam James
2020-07-29 18:18 Sam James
2020-04-30 23:18 Patrick McLean
2020-04-28 15:41 Mikle Kolyada
2020-04-28 13:12 Agostino Sarubbo
2020-04-28  2:21 Patrick McLean
2020-02-16 19:59 Patrick McLean
2020-02-13 18:05 Patrick McLean
2020-02-13 18:05 Patrick McLean
2020-02-05 16:24 Michał Górny
2019-09-11  0:58 Patrick McLean
2019-08-11 11:31 David Seifert
2019-05-10 17:57 Patrick McLean

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1734768666.50d851e24d2ee1e41074f1b5a82dedff26b2aedc.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox